<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Pass.html">Pass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Pass Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a44c84896039e6a9f3a44da8468591fb3">_dirtyHash</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa3bbe772008608de6af984293c0be4eb">_getBlendFlags</a>(SceneBlendType type, SceneBlendFactor &amp;source, SceneBlendFactor &amp;dest)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#afc5868c08b7ee73e663ecb533b3a0e5f">_getTextureUnitWithContentTypeIndex</a>(TextureUnitState::ContentType contentType, unsigned short index) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac1e07d3bccdb7f6c437c107c92e4ae46">_load</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#afaa52a3826a08569b8263834f043a83f">_notifyIndex</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6d9af04b4a643df1d81cc0443ca34ab2">_notifyNeedsRecompile</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab85cf60f49c52c53671d5bb5105231e8">_prepare</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a367a1affcb2e26d61a5b5e3594b0ce6a">_recalculateHash</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4934405e476e98dd05912a1ff42b7b2c">_split</a>(unsigned short numUnits)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5766787845b1be6dfbf45cac068fc825">_unload</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a928061c8f56d923808add7e8ba9cdee8">_unprepare</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a54eaf1d7ed3327c29733595fc4142dac">_updateAutoParams</a>(const AutoParamDataSource *source, uint16 variabilityMask) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a00a4036c87d4778c20d19412e9530ff2">addTextureUnitState</a>(TextureUnitState *state)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab2c2721a68454b17942c5fd6d25f45de">applyTextureAliases</a>(const AliasTextureNamePairList &amp;aliasList, const bool apply=true) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1d30a3c04994e1bd0e1de8cb343341a4">BuiltinHashFunction</a> enum name</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af1992ef39ef97e0b48e878c9aaa2badd">clearDirtyHashList</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a98b42a4f4304f3f2d08fb9394cbefe83">ConstTextureUnitStateIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af9ed2bf21820ae067201667b5e2a3220">ContentTypeLookup</a> typedef</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af8b37124088b574d2cbb2652c0ee4272">createTextureUnitState</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#adfee1e1da3564408697f6b1227102c63">createTextureUnitState</a>(const String &amp;textureName, unsigned short texCoordSet=0)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab0a026a1aec91f8661c96b79d41c54d2">getAlphaRejectFunction</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac97da177e624bb0abe329272081ef7bd">getAlphaRejectValue</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2de4bacffdf08bc93794a66ce0a33df4">getAmbient</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac2e11c662982c9ce7f2e08a71bc20167">getBuiltinHashFunction</a>(BuiltinHashFunction builtin)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8f5e2cd0176a5e1e57efb5515c95b80a">getColourWriteEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5ae67f620c4325d056c7d740205ad89b">getCullingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3ad590f771ab8424c8eea66e774bf1bf">getDepthBiasConstant</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3a5089247e8683575913976eeec1dd43">getDepthBiasSlopeScale</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a941ec4f703aa11271322986caed04757">getDepthCheckEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a547aa32d0dcfe88b27c5ea47692fac55">getDepthFunction</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a11cb667c4049d89a665884dfe40a57f9">getDepthWriteEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a54f846fb3675c2eea36c9015a9a9ddad">getDestBlendFactor</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8b199ed703bb238b0fad8fd2e4166609">getDestBlendFactorAlpha</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac61406c45d5607d5daa520201fc68017">getDiffuse</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5e656ed906b7378c5c74d338575c3f58">getDirtyHashList</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a78da275ce705622f8de8aa9d7dda478a">getEmissive</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5f6da762323ae84db14a8d9f1822258d">getFogColour</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a868dd63ed8c6686380ed980b6e7e3e09">getFogDensity</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac8d67be7f381d514050e1867e6908dc9">getFogEnd</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0410b3dda0527e550862253ebf8a6dac">getFogMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad4a60fca163ceff1ef34cf08d6a3f50c">getFogOverride</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4e996bfaad96bda9db001b9e5fe352b1">getFogStart</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a413bb7b107190cdd6b69c141d3c10160">getFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af8a7fe0395b6d5224b83db0f764ced19">getFragmentProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a625a7d756b38b5da1d92b292e3fd1aee">getFragmentProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#add6a29d0d100a0ee69b8e9d441f4d73b">getGeometryProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a86406f92d7137ca097fb1dd777810dfd">getGeometryProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aec43cbc80e2cfa8f2d20aff9fc7c5655">getGeometryProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac653a9c44ddaef38b8d3bc02d9edc30b">getHash</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aedf90d0436441d359280b3c939ee1e3c">getHashFunction</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1736bf1fdece8ea1e44f4940da407a85">getIlluminationStage</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab6ad34ba288321b9f7d9031ccf6fc3a8">getIndex</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#acb06e90ff9a42071983e2cec06783774">getIteratePerLight</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9bb62817b84bdc4737fdc3cfbce85a91">getIterationDepthBias</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#affd4b083effc0511e550955f53659aef">getLightClipPlanesEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a789fe5bdf561ccabea75fc9d0a1dbd63">getLightCountPerIteration</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a126bfac44b9e817a84b8fb827e03b2bf">getLightingEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aea03fb8b8fad8504346f6e9c4a30f9ff">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad0252ab0ac2998ba0f8fa18028d4d6db">getLightScissoringEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a11411ae778447a88aee4f374cb1badca">getManualCullingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7c90a998e60c3d1eaed4a9523cb11adf">getMaxSimultaneousLights</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4c1bab83b1dcd5a269cac346a2d8c994">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a99c933cb520121d475f8fe8a6b4cc37d">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7e89e46903cc53d61ca5b9e8188ff686">getNumTextureUnitStates</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#acf9fa78852454ce5c6a5f643500b09b3">getOnlyLightType</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a46b545806ee7b84dffb51a3ffb565c08">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8ae403e739ce7fe033bc88ae943135e4">getPassGraveyard</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad74b47051c90b6773e5b011a675ca996">getPassIterationCount</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a35805ebc35dfc915729d442d1d70442b">getPointAttenuationConstant</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae5e91fc3b2024b5e0b025179f7711c6c">getPointAttenuationLinear</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a10b1c78d6e3553aa27590076389b347a">getPointAttenuationQuadratic</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aceb506f7545bcd3715885571645807e7">getPointMaxSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae168c2016fbaebb4bccd6dfe28f77367">getPointMinSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#acc7832e2916a8c7ebc9d20a273bafdbc">getPointSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7a53a2302b81e9b5cd5a6d9e1c52d908">getPointSpritesEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a19213d9b0c39f3b908e50e18ea5c74d7">getPolygonMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9c184b1908a08f07969d5caf6859945c">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad3373fad544ff5f6840c2337f4812e0d">getResourceGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4b7ca18b8282a1551d5be1ed3d34f349">getRunOnlyForOneLightType</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6176c88195e3c92dcf82e4ec7f67fb38">getSceneBlendingOperation</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a042d4fef678444c62aa86eff16ae1abe">getSceneBlendingOperationAlpha</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1036ac655e74599a66239c16e69c84ab">getSelfIllumination</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9c6a77e4c0a208484a9fb7e81654d514">getShadingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4b44393b5211966e8f1f2f3c9188a185">getShadowCasterFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2d57144e465a6584ae1e4f72e6ded39d">getShadowCasterFragmentProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0549cfe83a4d6f76187b9beeb5f97760">getShadowCasterFragmentProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0e2dd8f2c2957da4013eb6fc0b6e2e0d">getShadowCasterVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a12ae6dab78e22950a3fbf59774187c26">getShadowCasterVertexProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aaa7c93f7897b4a5f72ec007c0fa98587">getShadowCasterVertexProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aab8606d2a1a2d7c64a1da2b768d68dfc">getShadowReceiverFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a26c650912a38063cf458c809bd7487ff">getShadowReceiverFragmentProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a45825044b23bff30a7126dcca1c55ecf">getShadowReceiverFragmentProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9f52d10f13f01b26a4735806f7e9d847">getShadowReceiverVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5f80a2eebe4f697c205b1d5b328968a1">getShadowReceiverVertexProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af42e6d2cafb8c2cce071cb7f8f02bef8">getShadowReceiverVertexProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8be7891bdca3a4f1e1c73a1d40c0ec7a">getShininess</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3263ef3ec28c00999fc031bc0d7b3aa3">getSourceBlendFactor</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6e7063b9626e636b2684fe7f2bf19312">getSourceBlendFactorAlpha</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7814c79f09b87acee854dae6fb63e8fb">getSpecular</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a484603c72ec5a3e8c7d5a1b50e3c05ca">getStartLight</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6cea3063d75145e8780643cf12c2891c">getTextureUnitState</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae27b1b021da5a9e64fa4923845663eb1">getTextureUnitState</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0ba6ac105511d35929a781c2b578c83f">getTextureUnitState</a>(unsigned short index) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af6b054578bb23bcbb9a8bd9c2de8c718">getTextureUnitState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a08ac1aab7513931a4a30ed8eed33ca79">getTextureUnitStateIndex</a>(const TextureUnitState *state) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac1513f6d3e1acb9037225d826ec99856">getTextureUnitStateIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a93fe292a1acabbc73420e9d26af51f81">getTextureUnitStateIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aeec934c0a8e29ad524e2b67b89760746">getTransparentSortingEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a90070a8dc5f4757f05c737d64aec0cee">getTransparentSortingForced</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#adc70de42e8b22b4d8ccedf6868bbbfc0">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a78e0bc742536372c9eb21ba6a3e0f0a8">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad375f519587608ca2f0f5fa8d6801182">getVertexColourTracking</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa2dff1afc5d9b683bbac058e1c5cdfe3">getVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a49cff7e78e08931da9135a42983dafcb">getVertexProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a51690f7442dcbf4882331226f75967bc">getVertexProgramParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#acf37cc807e158f8aaf15acfb84806627">hasFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4f8f21234060f157c80a2f862bd90662">hasGeometryProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a42dabeae776a4a4dd91b1bc110f704b1">hasSeparateSceneBlending</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab49684d68f62bec8c6bbad022d04d917">hasSeparateSceneBlendingOperations</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#adaac78cbe658094a058179781268a4b5">hasShadowCasterFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a748683e8b6877b9b958ccf094cff69f6">hasShadowCasterVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a79c536e8767304e9d906fc939b37e97a">hasShadowReceiverFragmentProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a06b46f35f10936c761012514900321d9">hasShadowReceiverVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a643c9431fa2abe9ceb406804e26ad0d7">hasVertexProgram</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad3de350359ec40562a1a74f4fbaeaf0f">isAlphaToCoverageEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4ee9a442132cdf8e5c7a5f3216008a4d">isAmbientOnly</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5cb68ecae89e2a7e903f764247c1f929">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a426ca66e7e3579369aa3f90c3059aea2">isPointAttenuationEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae9108164d08798980dc27282431357ff">isProgrammable</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab88f92f66f97921515270a98421e9969">isTransparent</a>(void) const </td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a01d8bf0cff20a3e989278275229beee8">mAlphaBlendOperation</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa820b35e4c6f7c7fce54cf71dc59db04">mAlphaRejectFunc</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a21e0a562745704736b4d42d81effd7df">mAlphaRejectVal</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9b38832381fd957125eb8569c5c33f78">mAlphaToCoverageEnabled</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a556bd36c8dbb238a46fe37310a1d1623">mAmbient</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#afb2daed38dc998fd153b8ccf7e101a76">mBlendOperation</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7b491b590a60b7b34838635c126cae7e">mColourWrite</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac104e02eff495ea259cb08c8a85fb448">mContentTypeLookupBuilt</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6a0a55fb94dc78e36777159b7a5ac3d3">mCullMode</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a326e2e93d333b1b90a4b91e3e67d579c">mDepthBiasConstant</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a29246700bff5e6f812ac9b589a1cda31">mDepthBiasPerIteration</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a79e01acdb223eded167b52b40cd23e9e">mDepthBiasSlopeScale</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af2dc3451f52d36105218cbcbcc267aad">mDepthCheck</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a89807753d3282bdc32d1fc7d533948f8">mDepthFunc</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a362282fe7746d18e1ff9e1cfdff7dbbd">mDepthWrite</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa1a2bff6f32770ce56410b5c0b922f17">mDestBlendFactor</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a94bce591dc721c6ee6619d17b00fd2d6">mDestBlendFactorAlpha</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a66ae6e604b5d5fb4f49d09c7eb92fd92">mDiffuse</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5ef4072aeb8489351a6bb095e067793c">mEmissive</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6c24544708b3db6955df734726a59137">mFogColour</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9e325320cb9c8c2f8f45f8349a659e17">mFogDensity</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af740ac4dde8b98850cdb777bc77ee81a">mFogEnd</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a383f8a51f77121976d957ba14944ead1">mFogMode</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7e4382961d81979d5942f41914ea4811">mFogOverride</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa807492afe0ce618f900842b2651ed4f">mFogStart</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#acad9b22456dde5cf17e6e2c68115495f">mFragmentProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac0f6d1cd1d5bf3d51d2411934b9bd800">mGeometryProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a13fe06ee4b037a9c209ffc2a59d8f501">mHash</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab67cf4a287892a909a70c44a051fb410">mHashDirtyQueued</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a782d3cb55e2ea4b0783b825cfbda5cc4">mIlluminationStage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1d30a3c04994e1bd0e1de8cb343341a4a281f843d23df9554e590a19d1a3987e3">MIN_GPU_PROGRAM_CHANGE</a> enum value</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1d30a3c04994e1bd0e1de8cb343341a4aab72a14d25f118c99dd6e9d40953ca46">MIN_TEXTURE_CHANGE</a> enum value</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a723f0f8e6c0276fb20f02e47255021c3">mIndex</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aefd46822d25a8e3264db4d0edc6c7697">mIteratePerLight</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1741155b470de81be0366791fe4e41d5">mLightClipPlanes</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af9d96d097cb84b3b75af021d36101aa6">mLightingEnabled</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa26566500a738584633ac0af55c92ccf">mLightMask</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a15898186cc7ba67a68a761f5e86672ac">mLightScissoring</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8447ff0bc15761b4ffa5cf42cf5bd02c">mLightsPerIteration</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad44c8f465ce7937b2f6554d4fe77b993">mManualCullMode</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3ba18ffcedc28fde72ab03738074fa9a">mMaxSimultaneousLights</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a41bff4d334b57d089597ee29e9cb7c90">mName</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3b60d9fc83e659b1ff3dbe090fa73c00">mNormaliseNormals</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a17410b1490d208b1a52b03ca03d83143">mOnlyLightType</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4e396c3084551db3ee5c0b14b156e04e">mParent</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2844fdfd96934d36c973a17b2680b665">mPassIterationCount</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a363a25beeddfca45a5c34bef511e0247">mPointAttenuationCoeffs</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0271201560c50c4057a475244689bfa6">mPointAttenuationEnabled</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7cfea2ae8cf95e098398246f8d00100e">mPointMaxSize</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2f83d69bb942bad3af1c0434e68b1588">mPointMinSize</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad03750f903bd7d8e10d45e32723b2d23">mPointSize</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#abd118d65b27a37e77e7c9ae9fd5e0a13">mPointSpritesEnabled</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad4479b587ef57fa0caeb732071b06dea">mPolygonMode</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a66f6adce3f4cbeb30c2a6a733438013c">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aaaa63b6c5fd3a7d0d5e94c178baf6ada">mQueuedForDeletion</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6c0a84577766dc3a0ac259cbdfd58b58">mRunOnlyForOneLightType</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7b3f4576f1137d76a5f353aa369c24ee">msDirtyHashList</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aacc24306463cb84ad8dd2ac4f6b11d32">mSeparateBlend</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac9591df846eeda3a90d0ee8b4e046bda">mSeparateBlendOperation</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a021cd8202394c20c72bea3e1a7f9035a">mShadeOptions</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a527d4ca54a6ed21b3aa5574644c842a0">mShadowCasterFragmentProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae6374241327a9656550de37eafe91b80">mShadowCasterVertexProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6d5f08ed335374f7c82623b306b2f367">mShadowContentTypeLookup</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ade9784f3a4ef5a74abf0d22cf9daee7b">mShadowReceiverFragmentProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8c5d060e74ecb161c4c4b4d225b32097">mShadowReceiverVertexProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5f308afbf06f997fe6b2483e3c9fb7da">msHashFunc</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae58ad7aee70297949d6ef7e0f2fefb98">mShininess</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a08080404c4dbc813ecf3e76b92533a82">mSourceBlendFactor</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a02f98b24a32c40528d8fa01dceba39d0">mSourceBlendFactorAlpha</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a38df42efb5f3bfc123febc156346b434">msPassGraveyard</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ab24ac5b12e199e228897e0f20d348ff7">mSpecular</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a94fe7fc4609a155245b1a61a6b0e0a60">mStartLight</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a1f28db09099114df90151c4960894749">mTextureUnitStates</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4f1d7d67531c89ab61ddc3e1add9452b">mTracking</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a727189fe0044aec0327f7937aba941fa">mTransparentSorting</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aaa2ca175cbb95005c52da93be4fd046f">mTransparentSortingForced</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5c7e65635e670546f5b8fdd1bc334711">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a354b8eb93d15708520ce2872e9980642">mVertexProgramUsage</a></td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a15bb76abae180b60dfcf9a6e1fdcd8fe">operator=</a>(const Pass &amp;oth)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a7f36f2c48b62fd29b2abdee4425d6a2c">Pass</a>(Technique *parent, unsigned short index)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2af67ca21bb1a91d6c228db8207384fc">Pass</a>(Technique *parent, unsigned short index, const Pass &amp;oth)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3328624040cd4067007903329c7b4007">PassSet</a> typedef</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a989043a45609fd8f82235c3d1c402a23">processPendingPassUpdates</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aeb16b94de537bda3140df7095090cc10">queueForDeletion</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a86de1842654eb89c6f48785d02f07688">removeAllTextureUnitStates</a>(void)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a66085d80b0caa39850216b603cec40b1">removeTextureUnitState</a>(unsigned short index)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4f23af59e5f991f22a224f8e6b336af3">setAlphaRejectFunction</a>(CompareFunction func)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9fe6fc3f542eade6b37d49cd0eadddde">setAlphaRejectSettings</a>(CompareFunction func, unsigned char value, bool alphaToCoverageEnabled=false)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6e5c5f69be78ddd80cbb202f66649fef">setAlphaRejectValue</a>(unsigned char val)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae0a98973675e2cf71b286ceb9e73ecd3">setAlphaToCoverageEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a606695927fbf85ee64c361abf66ac10e">setAmbient</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#abdcffe5cb7cee6c8c5a5fd4c2f75164d">setAmbient</a>(const ColourValue &amp;ambient)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3bbe37daba7e3be4349177374d4e40ee">setColourWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8942abf3ede0f3cb43584c85c4071734">setCullingMode</a>(CullingMode mode)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa35a3242a45176f8605bd8c866198b67">setDepthBias</a>(float constantBias, float slopeScaleBias=0.0f)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae454faee87f8cb0b8540810e48118788">setDepthCheckEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aef6c591b069aa6f7c65afc1419d47de6">setDepthFunction</a>(CompareFunction func)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aad3e6c7c7b59e2c303c348b4850b1a3a">setDepthWriteEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae371bb189752872dfa2e02694f6841f1">setDiffuse</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a67e3cb12113b4fc56b8d3d4cee03068a">setDiffuse</a>(const ColourValue &amp;diffuse)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa23e78b3e2c676ea2efc5de73826c980">setEmissive</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae5653eb7430051fc4a81aa577c031186">setEmissive</a>(const ColourValue &amp;emissive)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a32b0cabffa642b0f3743ac5d82392a1d">setFog</a>(bool overrideScene, FogMode mode=FOG_NONE, const ColourValue &amp;colour=ColourValue::White, Real expDensity=0.001, Real linearStart=0.0, Real linearEnd=1.0)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3019e308b0759cc150ac0f45308d69b3">setFragmentProgram</a>(const String &amp;name, bool resetParams=true)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae8c6cd9d16220e8ef358f8b3e072d261">setFragmentProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af6b2aab96fb146a8e92043c7dc771de4">setGeometryProgram</a>(const String &amp;name, bool resetParams=true)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#afd45b897ebc29d3ee40a2ee307682f35">setGeometryProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a686d4ade1581fba7b32609bc535ad9fc">setHashFunction</a>(BuiltinHashFunction builtin)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aff774d55b700af010f57e2330101a610">setHashFunction</a>(HashFunc *hashFunc)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a30d680bb28cd69415883313d9f03dc6a">setIlluminationStage</a>(IlluminationStage is)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aec98c9346a22a4a98acdaf5b8849a5c1">setIteratePerLight</a>(bool enabled, bool onlyForOneLightType=true, Light::LightTypes lightType=Light::LT_POINT)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aca462cd8e0708d90c3131ddd39e95674">setIterationDepthBias</a>(float biasPerIteration)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a20d94474787abfd9eb9b07d5185ded0c">setLightClipPlanesEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0e40ca39a238f0afe5e2d3a0db0661ce">setLightCountPerIteration</a>(unsigned short c)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6285f13a06eb7f00b83ea2754e434623">setLightingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9f14ed26740158970994057e48e562e9">setLightMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a26fe99447102afb8e2002f7f1339dd8c">setLightScissoringEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a3b528827b54f17b72bb204321640a6f7">setManualCullingMode</a>(ManualCullingMode mode)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a95a7a4006f26528ef4f6ce42ae56b09b">setMaxSimultaneousLights</a>(unsigned short maxLights)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a03306f735122ec4e7d4c391f1528cf50">setName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ad00b9d37cf0d5d7af26d23a2a48f5541">setNormaliseNormals</a>(bool normalise)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a28ff8c16ee57201651da61e649ea216b">setPassIterationCount</a>(const size_t count)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a0d44f9c4a2e69fd31a4687ffe2b8335d">setPointAttenuation</a>(bool enabled, Real constant=0.0f, Real linear=1.0f, Real quadratic=0.0f)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a463b59eaa324934370441a98b8b619b3">setPointMaxSize</a>(Real max)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a75a3e18e0d2c3e7f51a47cedcec0246c">setPointMinSize</a>(Real min)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2b0cfe1d55b1c03e59c4e3f546d2ec78">setPointSize</a>(Real ps)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9683c2f40ed7c96b708eb2db5e02c842">setPointSpritesEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a61d996b43e57fa45e660b23013855fe2">setPolygonMode</a>(PolygonMode mode)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae4c8a7be6225b12025fcd677f0d7140f">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ae21d6f29c89eeff54ab6de5562818c02">setSceneBlending</a>(const SceneBlendType sbt)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6ae2b0725a20fe90f1554834bafa7178">setSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a9ae2570082185c2b6e237a2d46f9bb60">setSceneBlendingOperation</a>(SceneBlendOperation op)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a511812da930186cb3fe15e286bc2d244">setSelfIllumination</a>(Real red, Real green, Real blue)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4ed49cbeb67725747cb25376ca67c2bb">setSelfIllumination</a>(const ColourValue &amp;selfIllum)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aefbd80d762d78838df626482df1ac81b">setSeparateSceneBlending</a>(const SceneBlendType sbt, const SceneBlendType sbta)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aa4bba51e9a0cba1b9708bab99496c1a8">setSeparateSceneBlending</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor, const SceneBlendFactor sourceFactorAlpha, const SceneBlendFactor destFactorAlpha)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ace4313056341502f87ada68638cae334">setSeparateSceneBlendingOperation</a>(SceneBlendOperation op, SceneBlendOperation alphaOp)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ade6c00297cd5d46bb365d981cd1764a6">setShadingMode</a>(ShadeOptions mode)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aae19f94be0da24a4b813e5849ecc4fc2">setShadowCasterFragmentProgram</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a4dfd71fa6c43cdf5c6f3613fdee1a17d">setShadowCasterFragmentProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a6d208f945dbfc60cac0cc4502a8eb3dc">setShadowCasterVertexProgram</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a585dc96fdf025aaef00dce27bbf1328b">setShadowCasterVertexProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#af674d2851440589007add4a41d9e92f3">setShadowReceiverFragmentProgram</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a873f11315e573b7c069f59e822492874">setShadowReceiverFragmentProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8be472bada8c2fdaac24fd0349f11964">setShadowReceiverVertexProgram</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aae8406edd157f8b8b2b1236bbe816f4f">setShadowReceiverVertexProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8202cf155d20602fd9c0ec53273a442f">setShininess</a>(Real val)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8c079dd718b5839e1be10ee077a620b7">setSpecular</a>(Real red, Real green, Real blue, Real alpha)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a66770883c6420a761996a29b9d5f57bc">setSpecular</a>(const ColourValue &amp;specular)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a8b816cdd2b5b5fcc5cbe6744b6bb2dbd">setStartLight</a>(unsigned short startLight)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a388afa054c642dd6b0585fd168cd7b1a">setTextureAnisotropy</a>(unsigned int maxAniso)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a5abbb49b669a575991c17bb67bcae975">setTextureFiltering</a>(TextureFilterOptions filterType)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a2b99af55835117cfd4c479ab6c3a2ae5">setTransparentSortingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#adc75fe5011be72c0597535cb37d75d57">setTransparentSortingForced</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a30b32d92dd9d316ff9650affd08d16a2">setVertexColourTracking</a>(TrackVertexColourType tracking)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#aba0003996c1c200db9fb6466a2253a54">setVertexProgram</a>(const String &amp;name, bool resetParams=true)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#afc41cb1fe9251448002a2405405b8bd9">setVertexProgramParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#ac7bc2b00e42ad2699a1e2a1de340d3b4">TextureUnitStateIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a24c003630856031394cf632594cd9da5">TextureUnitStates</a> typedef</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Pass.html#a73276f829c68266eca0c0fd700e13638">~Pass</a>()</td><td><a class="el" href="classOgre_1_1Pass.html">Ogre::Pass</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
